Bug 38295 - kstash and docker
kstash and docker
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Docker
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Daniel Tröder
Arvid Requate
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-19 10:26 CEST by Stefan Gohmann
Modified: 2015-11-17 12:12 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-04-19 10:26:21 CEST
kstash doesn't work in our docker instance. Thus, the postinst of heimdal-kdc fails:

root@myinstance20:~# kstash --random-key
kstash: writing key to `/var/lib/heimdal-kdc/m-key'
kstash: writing master key file: No such file or directory
root@myinstance20:~#
Comment 1 Stefan Gohmann univentionstaff 2015-04-19 10:58:47 CEST
I've set a "set +e" before the kstash command. We re-initialize the setup at a later point.
Comment 2 Daniel Tröder univentionstaff 2015-08-31 18:08:44 CEST
The template of krb5.conf was changed so that in case kerberos/realm is unset (or the emtpy string), a realm 'UNIVENTION.UNCONFIGURED' is configured. kstash in the postinst of heimdal-kdc will then not fail (in a docker container).

tmplate: 63352
copyright: 63354
ucrv-fix: 63355
→ univention-heimdal - 8.0.0-3.157.201508311804
Comment 3 Arvid Requate univentionstaff 2015-09-30 20:12:51 CEST
Ok.

Note: In case this matters at some later point: /usr/lib/univention-install/11univention-heimdal-init.inst from univention-heimdal-kdc moves this file out of the way again (Bug 24686#c5).

Please add some changelog entry.
Comment 4 Daniel Tröder univentionstaff 2015-10-01 09:30:17 CEST
Added changelog entry in commit 64124.
Comment 5 Arvid Requate univentionstaff 2015-10-05 17:03:07 CEST
Ok.
Comment 6 Stefan Gohmann univentionstaff 2015-11-17 12:12:41 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".